#
# spec file for package isdn2h323 (Version 0.3a1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp openh323 openh323-devel openssl openssl-devel pwlib pwlib-devel sgmltool sp sp-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openh323 openh323-devel openssl openssl-devel pam pam-devel patch perl ps pwlib pwlib-devel rcs readline rpm sendmail sgmltool sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         isdn2h323
URL:		http://www.telos.de/linux/H323
Copyright:    telos EDV Systementwicklung GmbH, License: GPL
BuildRoot:	%{_tmppath}/%{name}-root
Autoreqprov:  on
Group:        Networking/Daemons
Requires:     pwlib openh323
Obsoletes:	isdnh323
Summary:      Linux H.323 - ISDN Gateway
Version:      0.3a1
Release:      50
Source0:	isdn2h323-%{version}.tar.bz2
Source1:	rc.isdn2h323
Patch:		isdn2h323.diff

%description
Locally, a network of IP phones and PCs with sound cards, running
software like Netmeeting or voxilla, could be used as a replacement
for the traditional PBX system. The mentioned gateway then provides
the interface to the traditional phone network.
There are several standards available describing the transmission of
real-time audio data over local area networks, which do not provide a
guaranteed Quality of Service (QoS). One of these standards is the ITU
standard H.323.
isdn2h323 implements a H.323 - ISDN gateway

SuSE series: n

%prep
%setup -n isdn2h323-%version
%patch

%build
if [ `uname -m | cut -b 3-` == "86" ]; then
  export M="x86"
else
if [ `uname -m | cut -b -3` == "ppc" ]; then
  export M="ppc"
else
if [ `uname -m | cut -b -7` == "sparc64" ]; then
  export M="sparc64"
else
if [ `uname -m | cut -b -5` == "sparc" ]; then
  export M="sparc"
else
if [ `uname -m | cut -b -5` == "alpha" ]; then
  export M="alpha"
else
if [ `uname -m | cut -b -4` == "ia64" ]; then
  export M="ia64"
else
if [ `uname -m | cut -b -5` == "s390x" ]; then
  export M="s390x"
else
if [ `uname -m | cut -b -4` == "s390" ]; then
  export M="s390"
else
  export M=`uname -m`
fi
fi
fi
fi
fi
fi
fi
fi
export PWLIBDIR=/usr/lib/pwlib
export OPENH323DIR=/usr/lib/openh323
cd src
make depend
make all
cd docs/manual
make html

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
if [ `uname -m | cut -b 3-` == "86" ]; then
  export M="x86"
else
if [ `uname -m | cut -b -3` == "ppc" ]; then
  export M="ppc"
else
if [ `uname -m | cut -b -7` == "sparc64" ]; then
  export M="sparc64"
else
if [ `uname -m | cut -b -5` == "sparc" ]; then
  export M="sparc"
else
if [ `uname -m | cut -b -5` == "alpha" ]; then
  export M="alpha"
else
if [ `uname -m | cut -b -4` == "ia64" ]; then
  export M="ia64"
else
if [ `uname -m | cut -b -5` == "s390x" ]; then
  export M="s390x"
else
if [ `uname -m | cut -b -4` == "s390" ]; then
  export M="s390"
else
  export M=`uname -m`
fi
fi
fi
fi
fi
fi
fi
fi
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -c src/isdn2h323 $RPM_BUILD_ROOT/usr/sbin/isdn2h323
install -c -m 600 src/isdn2h323.config $RPM_BUILD_ROOT/etc/isdn2h323.config
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d/isdn2h323
ln -s ../../etc/init.d/isdn2h323 $RPM_BUILD_ROOT/usr/sbin/rcisdn2h323
# Create symbolic run level links during installation

%post
sbin/insserv etc/init.d/isdn2h323
# Rearrange run level symlinks after removing the init script

%postun
sbin/insserv etc/init.d/

%clean
# Clear up the mess
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
/usr/sbin/isdn2h323
%doc src/docs/FAQ
%doc src/docs/manual/*.html
%doc src/docs/manual/*.gif
%config /etc/isdn2h323.config
%config /etc/init.d/isdn2h323
/usr/sbin/rcisdn2h323

%changelog -n isdn2h323
* Thu Aug 16 2001 - kkaempf@suse.de
- implement RPM_BUILD_ROOT in spec file.
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Tue Aug 07 2001 - kkaempf@suse.de
- upade to 0.3a1 from cvs
- add openssl, openssl-devel to neededforbuild
* Thu May 10 2001 - kkaempf@suse.de
- provide LSB conformant init script
- fix routing bugs and pwlib API with version 0.2a2
* Tue Apr 17 2001 - kkaempf@suse.de
- add dummy .config file to filelist
* Wed Jan 17 2001 - kkaempf@suse.de
- fix build for non-x86 architectures
* Wed Jan 17 2001 - kkaempf@suse.de
- update to 0.2a1
  The isdn2h323 source code is now based on the latest
  version of the openh323 library (1.1pl1).
  Several ANSI C++ related bugs have been fixed. It is
  now possible to compile the whole source code using
  g++ 2.95.
  Support for the latest version of isdnrate (4.28)
  has been added.
  The phone number of incoming ISDN calls is transmitted
  to the H.323 user.
  There is a new runtime configuration option to
  disable or enable the automatic gatekeeper search. It
  is possible to set the gatekeeper name manually.
  The gateway creates a phone directory of all known
  MSNs used by H.323 users.
* Sat Jan 06 2001 - kkaempf@suse.de
- provide sample config in %%doc
* Wed Jan 03 2001 - kkaempf@suse.de
- install directly to /usr/bin
* Thu Nov 16 2000 - kkaempf@suse.de
- renamed to isdn2h323
* Thu Nov 16 2000 - kkaempf@suse.de
- provide README
* Thu Jul 13 2000 - kkaempf@suse.de
- missing 'fi' in specfile
* Wed Jul 12 2000 - kkaempf@suse.de
- fix sparc machtype, add ia64
* Fri Jun 30 2000 - kkaempf@suse.de
- fix for non x86 architectures
* Thu Jun 29 2000 - kkaempf@suse.de
- initial version 0.1a5
